org.eclipse.rdf4j.workbench.proxy

## Class CookieCacheControlFilter

- java.lang.Object
- - org.eclipse.rdf4j.workbench.proxy.CookieCacheControlFilter

- All Implemented Interfaces:
    javax.servlet.Filter

      public class CookieCacheControlFilter
      extends Object
      implements javax.servlet.Filter

  Browsers do not expire cache if Cookies have changed. Even if "Vary: Cookie" header is set. This filter intercepts the Last-Modified and If-Modified-Since headers to include modification of browser cookies.
  Author:
    James Leigh

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieCacheControlFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse resp, javax.servlet.FilterChain chain)`
    `void` | `init(javax.servlet.FilterConfig config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CookieCacheControlFilter

          public CookieCacheControlFilter()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.FilterConfig config)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest req,
                               javax.servlet.ServletResponse resp,
                               javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.